## compiz-plugins-main 0.9.4+bzr20110527

=== CMakeLists.txt ===
project (compiz-plugins-main)

cmake_minimum_required (VERSION 2.4)

find_package (Compiz REQUIRED)

include (CompizCommon)
include (CompizPackage)

set (COMPIZ_VERSION_MAJOR 0)
set (COMPIZ_VERSION_MINOR 9)
set (COMPIZ_VERSION_MICRO 2)
set (COMPIZ_VERSION_MACRO 1)
set (VERSION ${COMPIZ_VERSION_MAJOR}.${COMPIZ_VERSION_MINOR}.${COMPIZ_VERSION_MICRO}.${COMPIZ_VERSION_MICRO})

set (COMPIZ_PLUGIN_INSTALL_TYPE "package")

set (ALL_LINGUAS af ar bg bn bn_IN bs ca cs cy da de el en_GB en_US es eu et fi fr gl gu he hi hr hu id it ja ka km ko lo lt mk mr nb nl or pa pl pt pt_BR ro ru sk sl sr sv ta tr uk vi xh zh_CN zh_TW zu)
set (GETTEXT_PACKAGE compiz-plugins-main)

compiz_add_plugins_in_folder ("${CMAKE_SOURCE_DIR}")

compiz_print_configure_header ("Compiz Plugins Main")
compiz_print_plugin_stats ("${CMAKE_SOURCE_DIR}")
compiz_print_configure_footer ()

compiz_package_generation ("Compiz Plugins Main")
compiz_add_git_dist ()
compiz_add_uninstall ()

## compiz-plugins-main 0.8.8

=== debian/changelog ===
compiz-plugins-main (0.8.8-1~pointlinux1) stable; urgency=low

  * Non-maintainer upload.
  * Released for Point Linux.

 -- Peter Ryzhenkov <peter.ryzhenkov@gmail.com>  Fri, 01 Mar 2013 05:13:34 -0500

compiz-plugins-main (0.8.8-1) unstable; urgency=low

  * new upstream release, non-maintainer fork
  * [debian/compat] Bump to Debhelper v7
  * [debian/control]
    - rename source package to match upstream name: compiz-plugins-main
    - bump Standards-Version to 3.9.3, Build-Dep debhelper to (>= 7.0.50~)
    - bump B-D on compiz-dev, compiz-fusion-bcop, libdecoration to 0.8.8
    - B-D on dh-autoreconf, drop autoconf automake libtool autotools-dev
    - B-D on libmateconf-dev
    - B-D on hardening-wrapper, to enable it in debian/rules (see below)
    - change the maintainer's email address
  * [debian/source/format] convert to '3.0 (quilt)' source format
  * [debian/rules] use dh style, only use necessary overrides
    - DEB_BUILD_HARDENING=1, to suppress lintian warnings
  * [debian/patches/*]
  - Add 001-mate-compiz-plugins-main.patch - code migration to mate compat
  - Add 002-mate-compiz-plugins-main_potfiles.patch - pot files changes
  - Synchronized with Ubuntu patches in package 0.8.6-0ubuntu2
    - 010-animation-defaults.patch (mate-migrated)
    - 020_fix_edges.patch
    - 030_default_options.patch
    - 060_bug326995.patch
    - 080_disable_desktop_vpswitch.patch
  * [debian/mate_files/*]
  - Add Makefile.am, mask.png, overlay.png to images/Mate (replaces Gnome)

 -- Jasmine Hassan <jasmine.aura@gmail.com>  Fri, 12 Oct 2012 08:42:00 +0200

compiz-fusion-plugins-main (0.8.4-2) unstable; urgency=low

  * Add Vcs-* headers.
  * Tighten dependencies on compiz-core:
     - Add ${compizcore:Depends} to Depends.
     - Use dpkg-query to extract the name of the package provided by
       compiz-core (e.g. compiz-core-abiversion-20090619), and use it in
       dh_gencontrol.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 24 Mar 2010 00:12:24 +0100

compiz-fusion-plugins-main (0.8.4-1) unstable; urgency=low

  * New upstream release.
    - Fixes crash with empty titles and thumbnail previews (Closes: #561565).
      Thanks: Klaus Knopper
  * Update Build-Depends against compiz-dev to >= 0.8.4 for ABI bump.
  * Remove nvidia-workaround.patch, incorporated upstream.
  * Import 10-fix_plasma_previews.patch from ubuntu

 -- Sean Finney <seanius@debian.org>  Thu, 11 Feb 2010 21:56:57 +0100

compiz-fusion-plugins-main (0.8.2-3) unstable; urgency=low

  * bump build-dep on libdecoration, as there was a reverted API break.

 -- Sean Finney <seanius@debian.org>  Sat, 11 Apr 2009 19:27:52 +0200

compiz-fusion-plugins-main (0.8.2-2) unstable; urgency=low

  * update versioned build-deps for compiz packages to >= 0.8.2 
    (Closes: #522990)
  * add build-dep on quilt
  * new patch: nvidia-workaround.patch for redraw issue with nvidia
    cards. (Closes: #519729) 
    - thanks to Alex Goebel and Dmitriy Trt.

 -- Sean Finney <seanius@debian.org>  Sat, 11 Apr 2009 16:03:34 +0200

compiz-fusion-plugins-main (0.8.2-1) unstable; urgency=low

  * New upstream release
  * update Standards-Version to 3.8.1
  * add gbp.conf for use with git-buildpackage

 -- Sean Finney <seanius@debian.org>  Mon, 06 Apr 2009 23:03:15 +0200

compiz-fusion-plugins-main (0.7.6-1) unstable; urgency=low

  * New upstream release.

 -- Sean Finney <seanius@debian.org>  Tue, 03 Jun 2008 00:52:04 +0200

compiz-fusion-plugins-main (0.7.4-2) unstable; urgency=low

  * Make sure to install the pkgconfig .pc files used when building the
    other plugins packages (closes: #478423).  Thanks to Tarek Soliman
    for reporting this.
  * Grammar fix in package description, thanks to Reuben Thomas for
    reporting this (closes: #463599).

 -- Sean Finney <seanius@debian.org>  Sun, 25 May 2008 18:51:07 +0200

compiz-fusion-plugins-main (0.7.4-1) unstable; urgency=low

  * New upstream release.
  * Bump build-depends on bcop and compiz-dev to >= 0.7.3.
  * Include new png images.

 -- Sean Finney <seanius@debian.org>  Mon, 19 May 2008 19:31:39 +0200

compiz-fusion-plugins-main (0.6.0-5) unstable; urgency=low

  [Emilio Scalise]
  * Added missing build-depends on: libcairo2-dev, libpango1.0-dev,
    librsvg2-dev, libsm-dev, libdbus-1-dev, libdecoration0-dev
    (closes: #456380).

 -- Sean Finney <seanius@debian.org>  Fri, 21 Dec 2007 20:58:27 +0100

compiz-fusion-plugins-main (0.6.0-4) unstable; urgency=low

  * FTBFS: add Build-Depends: automake1.9 (closes: #453194).

 -- Sean Finney <seanius@debian.org>  Sat, 01 Dec 2007 15:14:23 +0100

compiz-fusion-plugins-main (0.6.0-3) unstable; urgency=low

  * Remove autofoo generated content and create/remove it as part of the
    standard build process instead.
  * FTBFS: add the following to Build-Depends: autoconf, compiz-fusion-bcop, 
    libgconf2-dev, libglib2.0-dev, libglu1-mesa-dev, libjpeg62-dev, libtool, 
    libxml2-dev, libxslt1-dev

 -- Sean Finney <seanius@debian.org>  Tue, 20 Nov 2007 20:29:29 +0100

compiz-fusion-plugins-main (0.6.0-2) unstable; urgency=low

  * make sure the package provides the text.h header file, which is needed
    by compiz-fusion-plugins-extra

 -- Sean Finney <seanius@debian.org>  Sat, 10 Nov 2007 10:49:11 +0100

compiz-fusion-plugins-main (0.6.0-1) unstable; urgency=low

  * Initial release (Closes: #431755).

 -- Sean Finney <seanius@debian.org>  Fri, 09 Nov 2007 18:56:43 +0100

=== debian/control ===
Source: compiz-plugins-main
Priority: extra
Maintainer: Jasmine Hassan <jasmine.aura@gmail.com>
Uploaders: Sean Finney <seanius@debian.org>
Build-Depends:  debhelper (>= 7.0.50~), dh-autoreconf, intltool,
 compiz-dev (>= 0.8.8), compiz-fusion-bcop (>= 0.8.8), libdecoration0-dev (>= 0.8.8),
 libmateconf-dev, libglib2.0-dev, libglu1-mesa-dev, libjpeg62-dev, 
 libxml2-dev, libxslt1-dev, pkg-config, xsltproc, libcairo2-dev, libpango1.0-dev, 
 librsvg2-dev, libsm-dev, libdbus-1-dev,
 hardening-wrapper,
Standards-Version: 3.9.3
Section: x11

Package: compiz-fusion-plugins-main
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${compizcore:Depends}
Description: Compiz Fusion plugins - main collection
 Compiz Fusion is the result of the re-unification of the Beryl-project
 and the community around the Compiz Window Manager. It seeks to provide
 an easy and fun-to-use windowing environment, allowing use of the
 graphics hardware to provide impressive effects, amazing speed and
 unrivalled usefulness.
 .
 This package provides the primary and most well tested set of plugins
 from the compiz project.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_HARDENING=1

PACKAGE := $(shell dh_listpackages)
ROOTDIR := $(CURDIR)
DEBDIR  := $(CURDIR)/debian
PKGDIR  := $(DEBDIR)/$(PACKAGE)
MATESRC := $(DEBDIR)/mate_files
MATEDIR := $(ROOTDIR)/images/Mate

# Detect which package is provided by compiz-core:
COMPIZCORE_DEPENDS := $(shell dpkg-query --showformat='$${Provides}\n' -W compiz-core)

# autoconf cruft
#AUTOFOO_DELETE:=aclocal.m4 config.guess config.h.in config.sub configure \
#                depcomp install-sh intltool-extract.in intltool-merge.in \
#                intltool-update.in ltmain.sh missing mkinstalldirs


%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	# Prevent from accidental breakage, early in the build process:
	if [ -z "$(COMPIZCORE_DEPENDS)" ]; then echo 'Broken compiz-core ABI detection'; exit 1; fi
	[ -d "$(MATEDIR)" ]		|| mkdir -p $(MATEDIR)
	[ -f "$(MATEDIR)/overlay.png" ]	|| cp $(MATESRC)/overlay.png $(MATEDIR)/overlay.png
	[ -f "$(MATEDIR)/mask.png" ]	|| cp $(MATESRC)/mask.png  $(MATEDIR)/mask.png
	dh_autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr --sysconfdir=\$${prefix}/share \
		--enable-maintainer-mode --disable-static --enable-schemas

override_dh_clean:
	[ ! -f Makefile ] || $(MAKE) distclean
	# clean up extra automake cruft
	find . -type f -name Makefile.in -exec rm -f {} ';'
#	rm -f $(AUTOFOO_DELETE)
	dh_clean 

override_dh_install:
	# remove kdecompat plugin
	rm -f $(PKGDIR)/usr/share/mateconf/schemas/compiz-kdecompat.schemas
	rm -f $(PKGDIR)/usr/share/compiz/kdecompat.xml
	rm -f $(PKGDIR)/usr/lib/compiz/libkdecompat.so
	# clean up some upstream cruft
	find $(PKGDIR) -type f -name '*.la' -exec rm -f {} ';'
	# install matecompat icon

override_dh_gencontrol:
	dh_gencontrol -- -Vcompizcore:Depends=$(COMPIZCORE_DEPENDS)

## compiz-plugins-main 0.8.14

=== debian/changelog ===
compiz-plugins-main (2:0.8.14-1) unstable; urgency=medium

  * Split back packaging according to compiz-reloaded new upstream, and bump
    epoch accordingly
  * Switch to hypra maintenance team
  * Restore non-reloaded package names
  * Keep compatibility with packages in Debian
  * Update copyright file
  * Generate dbgsym packages

 -- Samuel Thibault <sthibault@debian.org>  Sat, 27 Oct 2018 21:11:54 +0200

compiz-plugins-main (1:0.9.13.1+18.04.20180302-2) unstable; urgency=medium

  * Last compiz-from-launchpad upload.
 
 -- Samuel Thibault <sthibault@debian.org>  Sat, 20 Oct 2018 15:14:00 +0200

compiz-plugins-main (1:0.8.4-4ubuntu1) maverick; urgency=low

  * Bumped epoch
 
 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 17 Jun 2010 10:12:18 +1000

compiz-plugins-main (0.8.14-0~stretch1) stretch; urgency=low

  * New upstream release.
    - rename source package to reloaded version
  * Add override dh_strip to no create automatic dbgsym.
  * Bump standards to version 3.9.8.

 -- Jof Thibaut <compiz@tuxfamily.org>  Sun, 25 Jun 2017 12:21:11 +0200

compiz-fusion-plugins-main (0.8.12.1-0~jessie1) jessie; urgency=low

  * New upstream release.
    - forked on Github : Compiz Reloaded
  * Switch to format 3.0 (quilt).
  * Update compat and rules for debhelper 9.
  * Bump standards to version 3.9.6.
  * Change Priority to optional.
  * Update copyright to format 1.0 and Homepage link.
  * Drop libgconf-dev on build-depends.

 -- Jof Thibaut <compiz@tuxfamily.org>  Wed, 02 Mar 2016 23:16:37 +0100

=== debian/control ===
Source: compiz-plugins-main
Section: x11
Priority: optional
Maintainer: Hypra Team <bugs@hypra.fr>
Uploaders: Cyril Brulebois <cyril@debamax.com>, Samuel Thibault <sthibault@debian.org>
Build-Depends: dh-autoreconf,
               compiz-dev (>= 2:0.8.14-0~),
               compiz-bcop (>= 2:0.8.14-0~),
               debhelper (>= 9),
               intltool,
               libcairo2-dev,
               libglib2.0-dev,
               libdecoration0-dev (>= 2:0.8.14-0~),
               libglu1-mesa-dev,
               libjpeg62-turbo-dev,
               libpango1.0-dev,
               librsvg2-dev,
               libsm-dev,
               libxml2-dev,
               libxslt1-dev,
               pkg-config,
               xsltproc
Standards-Version: 3.9.8
Homepage: https://github.com/compiz-reloaded/compiz-plugins-main
Vcs-Git: https://salsa.debian.org/compiz-team/compiz-plugins-main.git
Vcs-Browser: https://salsa.debian.org/compiz-team/compiz-plugins-main

Package: compiz-plugins-main
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${compizcore:Depends}
Conflicts: compiz-dev (<< 2:0.8.14-1), compiz-plugins-default (<< 2:0.8.14-1), compiz-plugins (<< 2:0.8.14-1)
Replaces: compiz-dev (<< 2:0.8.14-1), compiz-plugins-default (<< 2:0.8.14-1), compiz-plugins (<< 2:0.8.14-1)
Description: Compiz Reloaded plugins - main collection
 Compiz Reloaded is the result of the re-unification of the Beryl-project
 and the community around the Compiz Window Manager. It seeks to provide
 an easy and fun-to-use windowing environment, allowing use of the
 graphics hardware to provide impressive effects, amazing speed and
 unrivalled usefulness.
 .
 This package provides the primary and most well tested set of plugins
 from the compiz project.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with autoreconf

# Detect which package is provided by compiz-core:
COMPIZCORE_DEPENDS := $(shell dpkg-query --showformat='$${Provides}\n' -W compiz-core)

override_dh_auto_configure:
	intltoolize --copy --force --automake
	dh_auto_configure -- --disable-static --libdir=/usr/lib

override_dh_install:
# remove unneeded .la files
	find $(CURDIR)/debian -type f -name '*.la' -print0 | xargs -0 rm -f
	dh_install

override_dh_gencontrol:
	dh_gencontrol -- -Vcompizcore:Depends=$(COMPIZCORE_DEPENDS)

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/release-?(\d\S*)\.tar\.gz/compiz-plugins-main-$1\.tar\.gz/ \
  https://github.com/compiz-reloaded/compiz-plugins-main/tags .*/release-?(\d\S*)\.tar\.gz

## compiz-plugins-main 0.8.16

=== debian/changelog ===
compiz-plugins-main (2:0.8.16-4) unstable; urgency=medium

  * patches/a11y-isenabled: Set org.a11y.Status.IsEnabled to true, otherwise
    e.g. mozilla applications would not expose at-spi unless e.g. orca is
    running.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 22 Feb 2019 11:10:14 +0100

compiz-plugins-main (2:0.8.16-3) unstable; urgency=medium

  * patches/visible: Ignore events from invisible objects.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 11 Feb 2019 20:23:16 +0100

compiz-plugins-main (2:0.8.16-2) unstable; urgency=medium

  * Upload to unstable.
  * Move .pc files to a multiarch location.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 15 Dec 2018 02:30:55 +0100

compiz-plugins-main (2:0.8.16-1) experimental; urgency=medium

  * New upstream release.
    - control: Add libatspi2.0-dev build-dep.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 17 Nov 2018 13:47:59 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+include /usr/share/dpkg/architecture.mk
 
 %:
 	dh $@ --with autoreconf
@@ -15,6 +17,8 @@
 # remove unneeded .la files
 	find $(CURDIR)/debian -type f -name '*.la' -print0 | xargs -0 rm -f
 	dh_install
+	mkdir debian/compiz-plugins-main/usr/lib/$(DEB_HOST_MULTIARCH)
+	mv debian/compiz-plugins-main/usr/lib/pkgconfig debian/compiz-plugins-main/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
 
 override_dh_gencontrol:
 	dh_gencontrol -- -Vcompizcore:Depends=$(COMPIZCORE_DEPENDS)

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/compiz-plugins-main-$1\.tar\.gz/ \
  https://github.com/compiz-reloaded/compiz-plugins-main/tags .*/v?(\d\S*)\.tar\.gz

## compiz-plugins-main 0.8.18

=== debian/changelog ===
compiz-plugins-main (2:0.8.18-5) unstable; urgency=medium

  [ Samuel Thibault ]
  * watch: Update URL.
  * control: Set Rules-Requires-Root to no.
  * control: Bump Standards-Version to 4.6.0 (no change)

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + Build-Depends: Drop versioned constraint on compiz-bcop.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libdecoration0-dev.
    + compiz-plugins-main: Drop versioned constraint on compiz-dev,
      compiz-plugins and compiz-plugins-default in Conflicts.
    + compiz-plugins-main: Drop versioned constraint on compiz-dev,
      compiz-plugins and compiz-plugins-default in Replaces.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 08 Jan 2022 17:50:05 +0100

compiz-plugins-main (2:0.8.18-4) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Colomban Wendling ]
  * patches/dynamic-outputs: New patch to fix EZoom crash when a new output is
    plugged in.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 30 Sep 2020 17:59:49 +0200

compiz-plugins-main (2:0.8.18-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Drop unnecessary dependency on dh-autoreconf.
  * Refer to specific version of license GPL-2+.

  [ Samuel Thibault ]
  * patches/focus-atspi: Enable at-spi watchers only when needed.
  * control: Bump Standards-Version to 4.5.0 (no change).

  [ Colomban Wendling ]
  * patches/focus-position: Fix focus position on some situation with ATK >=
    2.36.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 02 Aug 2020 02:04:42 +0200

compiz-plugins-main (2:0.8.18-2) unstable; urgency=medium

  * Update upstream URL
  * patches/focus-track: Enable focus tracking by default.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 22 Apr 2020 21:58:07 +0200

compiz-plugins-main (2:0.8.18-1) unstable; urgency=medium

  * New upstream release. Closes: Bug#957098.
    - patches/a11y-isenabled: Upstreamed.
    - patches/altcaret: Upstreamed.
    - patches/visible: Upstreamed.
    - control: Add libnotify-dev build-dep.
    - control: Bump compiz dependency to 0.8.18 to get latest
    compiz-core-abiversion.
  * watch: Generalize pattern.
  * control: Remove Cyril from uploaders.
  * watch: switch to gitlab

 -- Samuel Thibault <sthibault@debian.org>  Mon, 06 Apr 2020 01:28:33 +0200

compiz-plugins-main (2:0.8.16-5) unstable; urgency=medium

  * patches/altcaret: Fix zoom position in firefox on empty entries.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 07 Sep 2019 19:16:49 +0200

=== debian/control ===
Source: compiz-plugins-main
Section: x11
Priority: optional
Maintainer: Hypra Team <bugs@hypra.fr>
Uploaders: Samuel Thibault <sthibault@debian.org>
Build-Depends: compiz-dev (>= 2:0.8.18~),
               compiz-bcop,
               debhelper-compat (= 12),
               intltool,
               libcairo2-dev,
               libglib2.0-dev,
               libdecoration0-dev,
               libglu1-mesa-dev,
               libjpeg62-turbo-dev,
	       libnotify-dev,
               libpango1.0-dev,
               librsvg2-dev,
               libsm-dev,
               libxml2-dev,
               libxslt1-dev,
               libatspi2.0-dev,
               pkg-config,
               xsltproc
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://gitlab.com/compiz/compiz-plugins-main.git
Vcs-Git: https://salsa.debian.org/compiz-team/compiz-plugins-main.git
Vcs-Browser: https://salsa.debian.org/compiz-team/compiz-plugins-main

Package: compiz-plugins-main
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${compizcore:Depends}
Description: Compiz Reloaded plugins - main collection
 Compiz Reloaded is the result of the re-unification of the Beryl-project
 and the community around the Compiz Window Manager. It seeks to provide
 an easy and fun-to-use windowing environment, allowing use of the
 graphics hardware to provide impressive effects, amazing speed and
 unrivalled usefulness.
 .
 This package provides the primary and most well tested set of plugins
 from the compiz project.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/dpkg/architecture.mk
 
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 # Detect which package is provided by compiz-core:
 COMPIZCORE_DEPENDS := $(shell dpkg-query --showformat='$${Provides}\n' -W compiz-core)

=== debian/watch ===
version=3
https://gitlab.com/compiz/compiz-plugins-main/-/tags \
/compiz/compiz-plugins-main/.*/compiz-plugins-main-v?@ANY_VERSION@@ARCHIVE_EXT@

## compiz-plugins-main 0.9.4+bzr20110406

=== debian/changelog ===
compiz-plugins-main (0.9.4+bzr20110406-0ubuntu2) natty; urgency=low

  * debian/patches/00_bzr_fix_centered_expo.patch:
    - from upstream bzr, fix Centered layout for expo plugin (LP: #754689)

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 19 Apr 2011 11:40:24 +0200

compiz-plugins-main (0.9.4+bzr20110406-0ubuntu1) natty; urgency=low

  * New upstream snapshot:
    - Wall of desktop move wrong window (LP: #743634)
    - Wrong window moves (LP: #741656)
  * 03_default_options.patch:
    Enforce switcher 'bring to front' to none to avoid seeing the launcher
    while doing ALT-Tab (LP: #750283)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 07 Apr 2011 14:21:07 +0200

compiz-plugins-main (0.9.4git20110322-0ubuntu1) natty; urgency=low

  * New upstream bugfix snapshot
  * debian/control:
    - bump dep for latest ABI break

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 22 Mar 2011 21:47:11 +0100

compiz-plugins-main (0.9.4-0ubuntu4) natty; urgency=low

  * 03_default_options.patch:
    - revert the ubuntu change from 0s to 0.2s delay back to avoid flickering
    - show other window when doing alt-tab and ensure that the settings are
      according to LP: #736938

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 17 Mar 2011 17:44:53 +0100

compiz-plugins-main (0.9.4-0ubuntu3) natty; urgency=low

  * 03_default_options.patch:
    - change default option from 0.2s delay to 0s for compiz staticswitcher plugin
    - don't get a close animation on gnome-screenshot (LP: #93234)
    - Change <Super> + e to <Super> + s for switch workspace (trigger expo mode)
      in the classic session as in unity (LP: #723273)
    - deactivate mipmapping in staticswitcher as it can make alt Tab very slow
      (some seconds) on some hardware (LP: #684843)

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 16 Mar 2011 19:21:19 +0100

compiz-plugins-main (0.9.4-0ubuntu2) natty; urgency=low

  * debian/control:
    - add missing Conflicts/Replaces on package renaming

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 25 Feb 2011 09:24:20 +0100

compiz-plugins-main (0.9.4-0ubuntu1) natty; urgency=low

  * New upstream release
  * Rename source and binaries package (there is no more compiz-fusion)
    and add transitional package
  * Remove cherry-picked upstream patches
  * add debian/compiz-plugins-main.install

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 24 Feb 2011 17:34:18 +0100

compiz-fusion-plugins-main (0.9.2.1-0ubuntu8) natty; urgency=low

  * debian/control:
    - update and rebuild for latest ABI break

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 27 Jan 2011 11:24:45 +0100

compiz-fusion-plugins-main (0.9.2.1-0ubuntu7) natty; urgency=low

  * debian/control:
    - update and rebuild for latest ABI break
  * debian/patches/03_default_options.patch:
    - new settings for natty

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 14 Jan 2011 00:28:15 +0100

compiz-fusion-plugins-main (0.9.2.1-0ubuntu6) natty; urgency=low

  * debian/control:
    - rebuild and pick latest for ABI breakeage 
  * debian/patches/02_no_fade_on_static_switcher.patch:
    - no fade on staticswitcher (LP: #683635)
  * debian/patches/03_default_options.patch:
    - enable window snap by default
    - disable ezoom mouse scrolling by default (LP: #684925)

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 13 Dec 2010 16:42:59 +0100

compiz-fusion-plugins-main (0.9.2.1-0ubuntu5) natty; urgency=low

  * debian/control:
    - ensure rebuilding against latest compiz-dev to build with -g -O2

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 29 Nov 2010 13:00:28 +0100

compiz-fusion-plugins-main (0.9.2.1-0ubuntu4) natty; urgency=low

  * debian/patches/01-animation-defaults.patch:
    - change the zoom springiness default value
  * debian/control:
    - the latest snashpot needed a new compiz version to get the gconf schema
      built (compiz-dev)

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 26 Nov 2010 20:32:13 +0100

compiz-fusion-plugins-main (0.9.2.1-0ubuntu3) natty; urgency=low

  * New upstream snapshot as a patch (upstream compiz main plugin merger is
    broken):
    debian/patches/00_git_snapshot_101124.patch:
    - fix edge pixels not being active (LP: #638974)

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 24 Nov 2010 22:31:21 +0100

compiz-fusion-plugins-main (0.9.2.1-0ubuntu2) natty; urgency=low

  * debian/control:
    - bump compiz build-dep to take the new ABI into account

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 11 Nov 2010 18:23:25 +0100

compiz-fusion-plugins-main (0.9.2.1-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/control, debian/rules:
    - convert to cmake, remove autoconf, and convert to debhelper7
  * debian/control:
    - bump compiz build-dep and deps to 0.9,
    - reintroduce coreabiversion trick to dep on the good package
  * debian/install:
    - removed, seems we shipped all files anyway. Now install in the package
      directly
  * debian/docs:
    - adapt to latest upstream shipped file
  * debian/source:
    - switch to quilt format
  * debian/patches/01-animation-defaults.patch,
    debian/patches/03_default_options.patch,
    debian/patches/06_bug326995.patch,
    debian/patches/08_disable_desktop_vpswitch.patch:
    - adapt to latest version
  * debian/patches/02_fix_edges.patch:
    - removed for now: the plugin has been rewritten and have a different
      behavior
  * debian/control:
    - remove compiz-fusion-bcop as a build-dep, now built in the core itself
  * debian/rules:
    - add some switch to build in package mode, not in debug one

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 19 Oct 2010 12:07:20 -0400

compiz-fusion-plugins-main (0.8.6-0ubuntu2) maverick; urgency=low

  * debian/control: Lower -bcop dependency to >= 0.8.4 again, there is no
    version 0.8.6.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 03 Aug 2010 00:25:43 +0200

compiz-fusion-plugins-main (0.8.6-0ubuntu1) maverick; urgency=low

  * New upstream release
  * debian/control:
    - Update compiz versions


## compiz-plugins-main 0.9.4+bzr20110527

=== debian/changelog ===
compiz-plugins-main (0.9.4+bzr20110527-0ubuntu1~natty1) natty-proposed; urgency=low

  * New bug fix release:
    - apps started fullscreen in unity can never unfullscreen (LP: #765422)
  * debian/patches/00_bzr_fix_centered_expo.patch:
    - removed, applied upstream

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 01 Jun 2011 10:24:29 +0200

=== debian/control ===
Source: compiz-plugins-main
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Sean Finney <seanius@debian.org>
Build-Depends: compiz-dev (>= 1:0.9.4git20110322),
               intltool,
               libgconf2-dev,
               libglib2.0-dev,
               libtool,
               libglu1-mesa-dev,
               libjpeg62-dev,
               libxml2-dev,
               libxslt1-dev,
               pkg-config,
               xsltproc,
               libcairo2-dev,
               libpango1.0-dev,
               librsvg2-dev,
               libsm-dev,
               libdbus-1-dev,
               libdecoration0-dev (>= 1:0.9.0),
               libboost1.42-dev,
               libboost-serialization1.42-dev,
               cmake, 
               cdbs,
               debhelper (>= 7.0.50~),
               quilt,
Standards-Version: 3.8.1
Section: x11
Vcs-Bzr: http://bazaar.launchpad.net/~compiz/compcomm-plugins-main/ubuntu

Package: compiz-plugins-main
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         compiz-core, compiz-core-abiversion-${coreabiversion}
Breaks: compiz-core (<< 1:0.9.2.1+glibmainloop3)
Replaces: compiz-fusion-plugins-main (<< 0.9.4-0ubuntu1)
Conflicts: compiz-fusion-plugins-main (<< 0.9.4-0ubuntu1)
Description: Compiz Fusion plugins - main collection
 Compiz Fusion is the result of the re-unification of the Beryl-project
 and the community around the Compiz Window Manager. It seeks to provide
 an easy and fun-to-use windowing environment, allowing use of the
 graphics hardware to provide impressive effects, amazing speed and
 unrivalled usefulness.
 .
 This package provides the primary and most well tested set of plugins
 from the compiz-fusion project.

Package: compiz-fusion-plugins-main
Depends: compiz-plugins-main, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package.
 .
 This package ensures a clean upgrade path, and can be safely removed
 after the upgrade.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CORE_ABIVERSION := $(shell sed -rn 's/^\#define[[:space:]]+CORE_ABIVERSION[[:space:]]+//p' /usr/include/compiz/core/core.h )

override_dh_auto_configure:
	dh_auto_configure -- -DCOMPIZ_BUILD_WITH_RPATH=FALSE -DCOMPIZ_PACKAGING_ENABLED=TRUE -DCOMPIZ_PLUGIN_INSTALL_TYPE=package

override_dh_gencontrol:
	dh_gencontrol -- -Vcoreabiversion=$(CORE_ABIVERSION)

%:
	dh $@

=== debian/watch ===
version=3
http://releases.compiz.org/([\d\.]+)[02468]/ compiz-plugins-main-([\d\.]+)\.tar\.gz

## compiz-plugins-main 0.9.6

=== animation/CMakeLists.txt ===
find_package (Compiz REQUIRED)
include (CompizPlugin)
include (FindOpenGL)

if (OPENGL_GLU_FOUND)
    compiz_plugin (animation PLUGINDEPS composite opengl LIBRARIES ${OPENGL_glu_LIBRARY} INCDIRS ${OPENGL_INCLUDE_DIR})
endif (OPENGL_GLU_FOUND)

=== expo/CMakeLists.txt ===
find_package (Compiz REQUIRED)
include (FindOpenGL)
include (CompizPlugin)

if (OPENGL_GLU_FOUND)
    compiz_plugin (expo PLUGINDEPS composite opengl LIBRARIES ${OPENGL_glu_LIBRARY} INCDIRS ${OPENGL_INCLUDE_DIR})
endif (OPENGL_GLU_FOUND)

=== thumbnail/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin (thumbnail PLUGINDEPS text mousepoll)

=== debian/changelog ===
compiz-plugins-main (1:0.9.6-0ubuntu4.2) oneiric-proposed; urgency=low

  * debian/patches/fix-876591.patch:
    - Ctrl-Alt-KP_9 adjusts window to upper half instead of top right corner 
      (behaves like Ctrl-Alt-KP_8) 
      (lp: #876591)

 -- Omer Akram <om26er@ubuntu.com>  Mon, 05 Dec 2011 20:38:27 +0500

compiz-plugins-main (1:0.9.6-0ubuntu4.1) oneiric-proposed; urgency=low

  * debian/patches/fix-875557.patch:
    - Compiz grid overlay appears after workspace switcher use.
      (LP: #875557)
  * debian/patches/fix-891886.patch:
    - Compiz grid plugin is fired when resizing a window. (LP: #891886)

 -- Omer Akram <om26er@ubuntu.com>  Mon, 05 Dec 2011 15:36:29 +0100

compiz-plugins-main (1:0.9.6-0ubuntu4) oneiric-proposed; urgency=low

  * debian/patches/fix-872161.patch:
    - When grabbing a window to demaximize it after dragging it up,
      sometimes the position will not be where you expect it to be
      (LP: #872161)

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 12 Oct 2011 10:49:59 +0200

compiz-plugins-main (1:0.9.6-0ubuntu3) oneiric-proposed; urgency=low

  * Cherry-pick upstream fixes:
    - unmaximizable windows still show orange glow but fail to maximize
      (LP: #827560)
    - compiz crashed with SIGSEGV in CompWindow::serverBorderRect()
      (LP: #834585)
    - Workspace switcher makes windows lose decorations (LP: #853951)
    - Windows get corrupted sometimes when semi-maximizing them (LP: #865177)
    - Windows like gnome-terminal have awkward space around them after being
      semi-maximized (LP: #865179)
    - Grid plugin behaviour random (LP: #862260)
    - Don't apply snapping to maximized windows (LP: #862261)
    - snap movements can cause infinite loops in window movements (LP: #860646)
    - it is possible to see a window in it's pre-animation state during unmap
      animations (LP: #864476)
    - Rendering glitches when resuming from expo mode (LP: #868121)

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 10 Oct 2011 13:04:09 +0200

compiz-plugins-main (1:0.9.6-0ubuntu2) oneiric; urgency=low

  * debian/control:
    - Add missing epoch for the Replaces: (LP: #862119)

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 30 Sep 2011 15:19:35 +0200

compiz-plugins-main (1:0.9.6-0ubuntu1) oneiric; urgency=low

  * New upstream release:
    - Maximizing a window causes compiz to hang (LP: #860257)
    - snap movements can cause infinite loops in window movements (LP: #860646)
  * Remove debian/patches/01_fix_ghost_windows.patch which is part of the new 
    upstream release
  * debian/control:
    - fix overwrite with natty compiz-plugins (LP: #859632)

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 28 Sep 2011 14:20:00 +0200

compiz-plugins-main (1:0.9.5.94+bzr20110919-0ubuntu1) oneiric; urgency=low

  * Cherry-pick rev 27:
    - "crash when looping paint list in preparePaint (on closing windows)
      (LP: #853807)
  * Add debian/patches/01_fix_ghost_windows.patch:
    - fix ghost transient windows.

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 22 Sep 2011 14:50:55 +0200

compiz-plugins-main (1:0.9.5.94+bzr20110915-0ubuntu1) oneiric; urgency=low

  * New upstream snapshot:
    - UIFe: Spread - center the workspace switcher to account for the
      launcher and pan (LP: #837545)
  * debian/patches/01-grid-fix-rev87.patch:
    - removed in upstream snapshot

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 15 Sep 2011 19:59:56 +0200

compiz-plugins-main (1:0.9.5.94-0ubuntu1) oneiric; urgency=low

  [ David Barth ] 
  * Test build for release (0.9.5.94) 
  * Removed patches integrated upstream:
    - debian/patches/01_grid_defaults.patch
  * Add another patch for the same grid, but with other changes
    - debian/patches/01-grid-fix-rev87.patch: prevent eye bleeding

  [ Didier Roche ]
  * debian/control: bump build-dep for ABI break

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 09 Sep 2011 16:21:26 +0200

compiz-plugins-main (0.9.5.92.bzr17-0ubuntu1) oneiric; urgency=low

  * New upstream version
  * debian/control: 
    - require the new compiz version
  * debian/rules: don't use gsettings

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 24 Aug 2011 18:39:23 +0200

compiz-plugins-main (0.9.5.0-0ubuntu2) oneiric; urgency=low

  * debian/control:
    - transition to boost 1.46
    - deps on latest compiz-dev for boost transition

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 10 Aug 2011 11:47:07 +0200

compiz-plugins-main (0.9.5.0-0ubuntu1) oneiric; urgency=low

  * New upstream release
  * debian/control:
    - depends on latest compiz-dev
    - c-p-m-d now replaces compiz-plugins-default, compiz-gnome as grid is now in
      c-p-m
  * debian/patches/*:
    - remove all patches now that upstream ship a version with our defalt
  * add debian/patches/01_grid_defaults.patch:
    - the ubuntu defaults seems to have been forgotten when moving grid from
      core to main
  * debian/compiz-plugins-main-default.install:
    - install now grid
  * debian/compiz-plugins-main.install:
    - remove titleinfo, not anymore in -main

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 19 Jul 2011 08:02:00 +0200

compiz-plugins-main (0.9.4+bzr20110527-0ubuntu4) oneiric; urgency=low

  * debian/patches/01-animation-defaults.patch:
    - reset to wrong value "Fade" as compiz is segfaulting when using the right
      value with the gconf backend ("Focus Fade"). However, changing directly
      the xml and the gconf schema doesn't fix, and even then choosing the right
      value in ccsm fix it (and set "Focus Fade" itself). (LP: #795524)

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 10 Jun 2011 16:15:08 +0200

compiz-plugins-main (0.9.4+bzr20110527-0ubuntu3) oneiric; urgency=low

  [ Didier Roche ]
  * debian/control:
    - compiz-plugins-main-dev now conflict/replace compiz-fusion-plugins-main
      for lucid -> next LTS upgrade
  * fix debian/patches/07_add_wall_no_slide_default.patch (previously unapplied)
    to apply

  [ Daniel van Vugt ]
  * debian/patches/01-animation-defaults.patch,


=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CORE_ABIVERSION := $(shell sed -rn 's/^\#define[[:space:]]+CORE_ABIVERSION[[:space:]]+//p' /usr/include/compiz/core/core.h )

override_dh_auto_configure:
	dh_auto_configure -- -DCOMPIZ_BUILD_WITH_RPATH=FALSE -DCOMPIZ_PACKAGING_ENABLED=TRUE -DCOMPIZ_PLUGIN_INSTALL_TYPE=package -DUSE_GSETTINGS=OFF -DCOMPIZ_DISABLE_GS_SCHEMAS_INSTALL=ON

override_dh_gencontrol:
	dh_gencontrol -- -Vcoreabiversion=$(CORE_ABIVERSION)

%:
	dh $@
